Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.struts
Class StrutsPortletURL

    java.lang.Object
      org.apache.portals.bridges.struts.StrutsPortletURL

public class StrutsPortletURL
extends Object

StrutsPortletURL

Version:
  $Id: StrutsPortletURL.java 517068 2007-03-12 01:44:37Z ate $
Author:
  Ate Douma

Field Summary
`static String` | `KEEP_RENDER_ATTRIBUTES`
`static String` | `ORIGIN`
`static String` | `PAGE`

Constructor Summary
`StrutsPortletURL()`

Method Summary
`static javax.portlet.PortletURL` | `createActionURL(javax.servlet.ServletRequest request, String pageURL)`
`private static javax.portlet.PortletURL` | `createPortletURL(javax.servlet.ServletRequest request, String pageURL, boolean actionURL)`
`static javax.portlet.PortletURL` | `createRenderURL(javax.servlet.ServletRequest request, String pageURL)`
`static String` | `getOriginURL(javax.servlet.ServletRequest request)`
`static String` | `getPageURL(javax.servlet.ServletRequest request)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PAGE

    public static final String PAGE

See Also:
  Constant Field Values

### ORIGIN

    public static final String ORIGIN

See Also:
  Constant Field Values

### KEEP_RENDER_ATTRIBUTES

    public static final String KEEP_RENDER_ATTRIBUTES

See Also:
  Constant Field Values

Constructor Detail

### StrutsPortletURL

    public StrutsPortletURL()

Method Detail

### getPageURL

    public static String getPageURL(javax.servlet.ServletRequest request)

### getOriginURL

    public static String getOriginURL(javax.servlet.ServletRequest request)

### createPortletURL

    private static javax.portlet.PortletURL createPortletURL(javax.servlet.ServletRequest request,
                                                             String pageURL,
                                                             boolean actionURL)

### createRenderURL

    public static javax.portlet.PortletURL createRenderURL(javax.servlet.ServletRequest request,
                                                           String pageURL)

### createActionURL

    public static javax.portlet.PortletURL createActionURL(javax.servlet.ServletRequest request,
                                                           String pageURL)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.